From: Sophie Brun <sophie@offensive-security.com>
Date: Tue, 2 Nov 2021 14:52:50 +0100
Subject: Change location of creds.txt

We need to have write access to creds.txt. Move the file in a user
directory.
---
 core/Engine.py     | 9 ++++++++-
 core/WriteCreds.py | 2 +-
 2 files changed, 9 insertions(+), 2 deletions(-)

diff --git a/core/Engine.py b/core/Engine.py
index dd5c5f4..45967fc 100644
--- a/core/Engine.py
+++ b/core/Engine.py
@@ -3,6 +3,7 @@
 
 # Imports
 import os, sys, logging, traceback
+import shutil
 from core.User import User
 from core.Resources import joinThreads, exit_gracefully
 from core.Targets import listPwnableTargets
@@ -17,6 +18,11 @@ def run(args):
     user = User(args.domain, args.username, args.password)
     local_ip = retrieveMyIP()
 
+    if not os.path.isfile(os.path.expanduser("~/.spraykatz/results/creds.txt")):
+        os.makedirs(os.path.expanduser("~/.spraykatz/results"))
+        shutil.copyfile("/usr/share/spraykatz/misc/results/creds.txt",
+                os.path.expanduser("~/.spraykatz/results/creds.txt"))
+
     try:
         targets = listPwnableTargets(args.targets, user)
 
@@ -27,7 +33,8 @@ def run(args):
             jobs[-1].start()
 
         joinThreads(jobs, args.wait)
-        logging.warning("\n%sCredentials logged into: %s" % (warningGre, os.path.join(os.path.dirname(os.path.realpath(sys.argv[0])), 'misc', 'results', 'creds.txt')))
+        logging.warning("\n%sCredentials logged into: %s" % (warningGre,
+            os.path.expanduser("~/.spraykatz/results/creds.txt")))
 
     except KeyboardInterrupt:
         logging.warning("%sKeyboard interrupt. Exiting." % (warningRed))
diff --git a/core/WriteCreds.py b/core/WriteCreds.py
index 5132f96..0d420f6 100644
--- a/core/WriteCreds.py
+++ b/core/WriteCreds.py
@@ -5,7 +5,7 @@
 import os, sys
 
 def write_credentials(target, credentials):
-    credsFile = open(os.path.join(os.path.dirname(os.path.realpath(sys.argv[0])), 'misc', 'results', 'creds.txt'), 'a')
+    credsFile = open(os.path.expanduser("~/.spraykatz/results/creds.txt"), 'a')
     
     for credential in credentials:
         credsFile.write("%s" % (target))
